Bug 122908 - Really minimal Installation
Really minimal Installation
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-10 07:04 EDT by Vano Beridze
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-10 12:16:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vano Beridze 2004-05-10 07:04:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
Fedora Core 2 has the option minimal installation that 
installs packages suited for small routers and firewalls.

I think it would be good to have an option to install only those packages
that are needed to start the system.

that will make the fedora installation process highly customizable.

I like the idea behind gentoo. Build the system that suits yuor needs.
Why not borrow that idea and implement it in Fedora?

Now I can delete those unnecessary packages by hand, but this is
complicated process.

I think it's not too difficult to implement this feature.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Start the minimal installation

Additional info:
Comment 1 Jeremy Katz 2004-05-10 12:16:25 EDT
Fedora is not a "build from source" distribution.  If you have
concrete specific changes to be made to help make a more minimal
installation possible, feel free to file those or discuss them on
fedora-devel-list (where the "more minimal" discussion comes up every
month or so, but then no one has actual concrete suggestions for
getting there).
Comment 2 Martin Jürgens 2007-07-15 19:28:58 EDT
I have some concrete changes that could be made to make the Fedora "Base System"
installation much more minimal, but I do not want to file ~20 reports.

Could you give me someone who I can contact with a list of packages that should
*not* be installed by default as part of the Base System?

Or can I just list them here? Probably it would be worth reopening this bug
report then ;) I will soon be on vacations, but after I will find some time
(maybe also before, depens on how fast I hear from you).

This also happens with fedora 7 so it would be worth changing the version to it.

Note You need to log in before you can comment on or make changes to this bug.